Your Moodle version

Activities: Questionnaire

mod_questionnaire
Maintained by Picture of Mike Churchward Mike Churchward
Custom Survey Creation
5k
7k
47

Create your own surveys using this tool.

SUPPORT DISCUSSION: http://moodle.org/mod/forum/view.php?id=2642

NOTE: If you are upgrading to Moodle 2.3 or greater, make sure you have upgraded the questionnaire module to the latest version of Moodle 2.2, in your Moodle 2.2 codebase before upgrading to Moodle 2.3 or greater.

DEVELOPERS NOTE - Questionnaire is tracked in Github at https://github.com/remotelearner/moodle-mod_questionnaire. Contact Mike Churchward if you want "push" access.

(originally based on phpESP)

/plugins/mod

Screenshots

Screenshot #0

Contributors

Picture of Mike Churchward
Mike Churchward (Lead maintainer)
Picture of Joseph Rézeau
Joseph Rézeau: Former co-maintainer
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Picture of Daniel Powell
    Sat, Oct 10, 2015, 2:11 AM
    Hi not sure if anyone can help, but my moodle server, installed fine wit the plugin (latest one) and then I made a quiz, all fine. I did it myself as Admin but then now when I try it again it is locked out.

    My error is...

    If you are the webmaster of this site please log in to Cpanel and check the Error Logs. You will find the exact reason for this error there.

    Common reasons for this error are:
    •Incorrect file/directory permissions: Above 755.
    In order files to be processed by the webserver, their permissions have to be equal or below 755. You can update file permissions with a FTP client or through cPanel's File Manager.

    •Incorrect Apache directives inside .htaccess file.
    Make sure you have not specified unsupported directives inside the local .htaccess file. Such include PHP settings and Apache module settings.

    I then checked on the FPT and found that a lot of files are 666 access and the subfolders 777.

    I have no idea what they should be, can anyone help.

    It seems a serer issue, not a plugin one, but the plugin created the folders on its own and I cannot find a link to see where.

    Any help appreciated?

    Thanks

    Daniel
  • Picture of Daniel Powell
    Sat, Oct 10, 2015, 2:31 AM
    Hi again,

    I may have fixed it, I found some advice about permissions so I set...

    all files in the main "mod" folder to 644
    all folders and files recursive - subfolders to 755.

    Does that cause any issues, as it seems to work?

    Thanks

    Daniel
  • My mug
    Mon, Dec 7, 2015, 8:18 AM
    For people considering this module, I suggest enabling the Feedback module (Site admin -> Plugins -> Activity modules). Feedback is part of the standard Moodle distribution, is well maintained and offers equivalent functionality to Questionnaire.
  • Picture of Bob Puffer
    Mon, Dec 7, 2015, 8:06 PM
    I couldn't disagree more. Questionnaire is so much better maintained, has so much more functionality and such a better appearance. I even asked Martin D about this and why Moodle core chose Feedback and he said at the time it appeared Feedback was going to become much more robust but that's not how it turned out. Maybe Moodle HQ feels differently now that Remote Learner has stopped being a Moodle Partner but IMO, if that's the case, we don't need those games in this community.
  • Picture of Matt Polaniecki
    Wed, Dec 9, 2015, 12:33 AM
    Is there a way to do activity completion based on the response? If a user says "no" to a survey, could they "fail" the questionnaire?
  • Picture of Ryan Smith
    Sat, Dec 19, 2015, 3:09 AM
    Will there be an update soon for PHP 7 support? Right now, with the latest version of Moodle 3.0 with PHP 7 support, questionnaire is causing the entire course to not load. I reported this here: https://tracker.moodle.org/browse/CONTRIB-6069

    Running version 2015102800
  • Picture of bechellaoui christophe
    Fri, Mar 25, 2016, 6:33 AM
    Hi, I use plugin in my moodle test plateform... But the plugin it's not supported by mobilapp... Can you Tell if its possible... Thanks
  • Picture of Mylène LG
    Mon, Apr 11, 2016, 3:11 PM
    Hello,
    We use the 2.8.11 version of Moodle. We can't add questions anymore since the release of the 2.8.11
  • Picture of Mike Churchward
    Mon, Apr 11, 2016, 9:42 PM
    First, make sure you are using the latest 2.8 release of questionnaire (2.8.3 - https://github.com/remotelearner/moodle-mod_questionnaire/tree/2.8.3 or https://moodle.org/plugins/download.php/9601/mod_questionnaire_moodle28_2014111004.zip). If you are using that, and are still having problems, post in the questionnaire forum (https://moodle.org/mod/forum/view.php?id=2642) providing more detail of what steps you are doing and what errors you are seeing.
  • Picture of Bert van der Hooft
    Wed, Apr 27, 2016, 2:38 PM
    L.s

    Our sequence of questions need to differ from the sequence of the output (e.g. questions of section 8 needs to be in the top of the radar). How to do this?

    Bert
  • Picture of Amon Raa Su
    Wed, May 11, 2016, 3:30 PM
    Hi Mike !

    I think I found a bug : http://moodle/my stays blank when using mod_questionnaire

    Questionnaire 3.0.0 (Build - 2015102800)
    mod_questionnaire 2015102800

    Fatal error: 'break' not in the 'loop' or 'switch' context in /home/moodle/mod/questionnaire/questiontypes/questiontypes.class.php on line 297

    Information : version
    ---------------------------------------
    moodle : 3.0.4 (Build: 20160509)
    unicode : activée
    database : mysql (5.7.12-0ubuntu1)
    php : 7.0.4.7.2

    Uninstalling mod_questionnaire makes dashbord coming back.
  • Picture of Mike Churchward
    Wed, May 11, 2016, 10:06 PM
    Hi. This was fixed in issue CONTRIB-6069.
  • Picture of Josiah Carberry
    Wed, May 11, 2016, 11:11 PM
    Regarding the issue of the questionnaire plugin breaking moodle when running under PHP7, I am confused about the versioning and how to upgrade my installation.
    The version I have currently installed is Questionnaire 3.0.0 (Build - 2015102800) - that fails under PHP7.
    The page for CONTRIB-6069 says that the fixed branches are MOODLE_30_STABLE, MOODLE_31_STABLE . But the plugin version is still 2015102800. And within Moodle itself, there is no indication of an updated version of the plugin.
    So for us non-developers who really, really want the PHP7 benefits and need the fixed version of the questionnaire plugin, has a release date been set for the new version?
  • Picture of Mike Churchward
    Wed, May 11, 2016, 11:25 PM
    Hi Josiah. I haven't released a new 3.0 version to the plugins database yet. It is just in Github. Having said that, I'll release one today, since I don't think we'll be doing any more work on the 3.0 branch unless new bugs come up.
  • Picture of Mike Churchward
    Wed, May 11, 2016, 11:53 PM
    I have just released "Release 3.0.1 (Build - 2016051100)" which should contain all of the fixes you mentioned.
1 2 3 4 5
Please login to post comments